//Gfx converted using Mollusk's PAGfx Converter

//This file contains all the .h, for easier inclusion in a project

#ifndef ALL_GFX_H
#define ALL_GFX_H

#ifndef PAGfx_struct
    typedef struct{
    void *Map;
    int MapSize;
    void *Tiles;
    int TileSize;
    void *Palette;
    int *Info;
} PAGfx_struct;
#endif


// Background files :
extern const int contact_Info[3]; // BgMode, Width, Height
extern const unsigned short contact_Map[768] __attribute__ ((aligned (4))) ;  // Pal : contact_Pal
extern const unsigned char contact_Tiles[320] __attribute__ ((aligned (4))) ;  // Pal : contact_Pal
extern PAGfx_struct contact; // background pointer

extern const int clavier_Info[3]; // BgMode, Width, Height
extern const unsigned short clavier_Map[4096] __attribute__ ((aligned (4))) ;  // Pal : clavier_Pal
extern const unsigned char clavier_Tiles[15040] __attribute__ ((aligned (4))) ;  // Pal : clavier_Pal
extern PAGfx_struct clavier; // background pointer


// Palette files :
extern const unsigned short contact_Pal[3] __attribute__ ((aligned (4))) ;
extern const unsigned short clavier_Pal[3] __attribute__ ((aligned (4))) ;


#endif

