//Gfx converted using Mollusk's PAGfx Converter

//This file contains all the .h, for easier inclusion in a project

#ifndef ALL_GFX_H
#define ALL_GFX_H

#ifndef PAGfx_struct
    typedef struct{
    void *Map;
    int MapSize;
    void *Tiles;
    int TileSize;
    void *Palette;
    int *Info;
} PAGfx_struct;
#endif


// Sprite files :
extern const unsigned char offline_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : offline_Pal
extern const unsigned char connecting_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : connecting_Pal
extern const unsigned char online_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : online_Pal
extern const unsigned char chat_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : chat_Pal
extern const unsigned char away_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : away_Pal
extern const unsigned char xa_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : xa_Pal
extern const unsigned char dnd_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : dnd_Pal
extern const unsigned char invisible_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : invisible_Pal

// Background files :
extern const int status_Info[3]; // BgMode, Width, Height
extern const unsigned short status_Map[768] __attribute__ ((aligned (4))) ;  // Pal : status_Pal
extern const unsigned char status_Tiles[6528] __attribute__ ((aligned (4))) ;  // Pal : status_Pal
extern PAGfx_struct status; // background pointer

extern const int rien_Info[3]; // BgMode, Width, Height
extern const unsigned short rien_Map[768] __attribute__ ((aligned (4))) ;  // Pal : rien_Pal
extern const unsigned char rien_Tiles[64] __attribute__ ((aligned (4))) ;  // Pal : rien_Pal
extern PAGfx_struct rien; // background pointer


// Palette files :
extern const unsigned short offline_Pal[40] __attribute__ ((aligned (4))) ;
extern const unsigned short connecting_Pal[53] __attribute__ ((aligned (4))) ;
extern const unsigned short online_Pal[96] __attribute__ ((aligned (4))) ;
extern const unsigned short chat_Pal[99] __attribute__ ((aligned (4))) ;
extern const unsigned short away_Pal[98] __attribute__ ((aligned (4))) ;
extern const unsigned short xa_Pal[92] __attribute__ ((aligned (4))) ;
extern const unsigned short dnd_Pal[100] __attribute__ ((aligned (4))) ;
extern const unsigned short invisible_Pal[65] __attribute__ ((aligned (4))) ;
extern const unsigned short status_Pal[234] __attribute__ ((aligned (4))) ;
extern const unsigned short rien_Pal[1] __attribute__ ((aligned (4))) ;


#endif

